package ru.dbotthepony.kstarbound.world.entities

import ru.dbotthepony.kstarbound.math.AABB
import ru.dbotthepony.kstarbound.math.Vector2d
import ru.dbotthepony.kstarbound.world.World

/**
 * Физический аватар игрока в мире
 */
open class PlayerEntity(world: World<*, *>) : AliveEntity(world) {
	override val aabb = AABB.rectangle(Vector2d.ZERO, 1.8, 3.7)
	override val aabbDucked: AABB = AABB.rectangle(Vector2d.ZERO, 1.8, 1.8) + Vector2d(y = -0.9)
	override var moveDirection = Move.STAND_STILL
}
